mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Object System.Security.Policy.IConstantMembershipCondition System.Security.Policy.IMembershipCondition System.Runtime.InteropServices.ComVisible(true) To be added

Determines whether an assembly belongs to a code group by testing its zone of origin. This class cannot be inherited.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class with the zone that determines membership.

  The for which to test.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean ``

  This membership condition tests only the evidence object.

  Determines whether the specified evidence satisfies the membership condition.

  true if the specified evidence satisfies the membership condition; otherwise, false.

  The evidence set against which to make the test.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Security.Policy.IMembershipCondition To be added

  Creates an equivalent copy of the membership condition.

  A new, identical copy of the current membership condition.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` To be added.

  Determines whether the zone from the specified object is equivalent to the zone contained in the current .

  true if the zone from the specified object is equivalent to the zone contained in the current ; otherwise, false.

  The object to compare to the current .
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added

  Reconstructs a security object with a specified state from an XML encoding.

  The XML encoding to use to reconstruct the security object.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` To be added

  Reconstructs a security object with a specified state from an XML encoding.

  The XML encoding to use to reconstruct the security object. The policy level context used to resolve named permission set references.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 To be added.

  Gets the hash code for the current membership condition.

  The hash code for the current membership condition.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Security.SecurityZone To be added.

  Refer to the enumeration for a definition of specific zones.

  Gets or sets the zone for which the membership condition tests.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added.

  Creates and returns a string representation of the membership condition.

  A string representation of the state of the membership condition.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Security.SecurityElement To be added

  Creates an XML encoding of the security object and its current state.

  An XML encoding of the security object, including any state information.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Security.SecurityElement `` To be added

  Creates an XML encoding of the security object and its current state with the specified .

  An XML encoding of the security object, including any state information.

  The policy level context for resolving named permission set references.